<?php

/**
 * cvServiceContainerDumper
 * 
 * cvServiceContainerDumper is the abstract class for all built-in dumpers.
 * 
 * @package CYBERVILLE
 * @subpackage DI
 * @author Fabien Potencier <fabien.potencier@symfony-project.com>
 * @version $Id$
 */
abstract class cvServiceContainerDumper implements cvServiceContainerDumperInterface {
    protected $container;

    /**
     * Constructor.
     *
     * @param cvServiceContainerDefinitions $container The service container to dump
     */
    public function __construct(cvServiceContainerDefinitions $container) {
        $this->container = $container;
    }

    /**
     * Dumps the service container.
     *
     * @param  array  $options An array of options
     *
     * @return string The representation of the service container
     */
    public function dump(array $options = array()) {
        throw new LogicException('You must extend this abstract class and implement the dump() method.');
    }
}

?>