<?php

/**
 * cvServiceReference
 * 
 * cvServiceReference represents a service reference.
 * 
 * @package CYBERVILLE
 * @subpackage DI
 * @author Kochergin Nick <kroeker.nick@gmail.com>, <http://cyberville-project.ru>
 * @version $Id$
 */
class cvServiceReference {
    protected $id = null;
    protected $container = null;

    /**
     * Constructor.
     *
     * @param string $id The service identifier
     * @param string|null $container The container identifier
     */
    public function __construct($id, $container = null) {
        $this->id = $id;
        $this->container = $container;
    }
    
    /**
     * Gets the Id service 
     * 
     * @return string
     */
    public function getIdService() {
        return $this->id;
    }
    
    /**
     * Gets the Id container 
     * 
     * @return string|null
     */
    public function getIdContainer() {
        return $this->container;
    }

    /**
     * __toString.
     *
     * @return string The service identifier
     */
    public function __toString() {
        return (string )$this->id;
    }
}

?>